## org.eclipse.emf.ecore.impl
Class EModelElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl

All Implemented Interfaces:
  Notifier, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  EAnnotationImpl, EFactoryImpl, ENamedElementImpl

    public abstract class EModelElementImpl

extends MinimalEObjectImpl.Container
implements EModelElement

An implementation of the model object 'EModel Element'.

The following features are implemented:

- `EAnnotations`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<EAnnotation>` `eAnnotations` The cached value of the '`EAnnotations`' containment reference list
`protected int` `eFlags` An extensible set of bit flags.
`protected static int` `EFROZEN` The bit of `eFlags` that is used to represent being `frozen`.
`protected static int` `ELAST_EMODEL_ELEMENT_FLAG` The last bit used by this class; derived classes may use bit values higher than this.

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EModelElementImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`EObject` `eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)` Returns the object resolved by the fragment segment.
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected void` `eSetDirectResource(Resource.Internal resource)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `eURIFragmentSegment(EStructuralFeature eStructuralFeature, EObject eObject)` Returns the fragment segment that, when passed to `eObjectForURIFragmentSegment`, will resolve to the given object in this object's given feature.
`protected void` `freeze()`
`protected void` `freeze(java.lang.Object eModelElement)`
`EAnnotation` `getEAnnotation(java.lang.String source)`
`EList<EAnnotation>` `getEAnnotations()`
`protected boolean` `isFrozen()`
`protected void` `setFrozen()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eAnnotations

    protected EList<EAnnotation> eAnnotations

  The cached value of the '`EAnnotations`' containment reference list.

  See Also:
    `getEAnnotations()`

### eFlags

    protected int eFlags

  An extensible set of bit flags.

### EFROZEN

    protected static final int EFROZEN

  The bit of `eFlags` that is used to represent being `frozen`.

  See Also:
    Constant Field Values

### ELAST_EMODEL_ELEMENT_FLAG

    protected static final int ELAST_EMODEL_ELEMENT_FLAG

  The last bit used by this class; derived classes may use bit values higher than this.

  See Also:
    Constant Field Values

Constructor Detail

### EModelElementImpl

    protected EModelElementImpl()

Method Detail

### freeze

    protected void freeze()

### freeze

    protected void freeze(java.lang.Object eModelElement)

### setFrozen

    protected void setFrozen()

### isFrozen

    protected boolean isFrozen()

### eSetDirectResource

    protected void eSetDirectResource(Resource.Internal resource)

  Overrides:
    `eSetDirectResource` in class `MinimalEObjectImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicEObjectImpl`

### getEAnnotations

    public EList<EAnnotation> getEAnnotations()

  Specified by:
    `getEAnnotations` in interface `EModelElement`
  Returns:
    the value of the 'EAnnotations' containment reference list.
  See Also:
    `EModelElement.getEAnnotation(String)`, `EcorePackage.getEModelElement_EAnnotations()`, `EAnnotation.getEModelElement()`

### getEAnnotation

    public EAnnotation getEAnnotation(java.lang.String source)

  Specified by:
    `getEAnnotation` in interface `EModelElement`
  Returns:
    The annotation with a matching source attribute.
  See Also:
    `EModelElement.getEAnnotations()`, `EAnnotation.getSource()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BasicEObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### eURIFragmentSegment

    public java.lang.String eURIFragmentSegment(EStructuralFeature eStructuralFeature,
                                                EObject eObject)

  Description copied from interface: `InternalEObject`
  Returns the fragment segment that, when passed to `eObjectForURIFragmentSegment`, will resolve to the given object in this object's given feature.

  The feature argument may be `null` in which case it will be deduced, if possible. The default result will be of the form:

        "@<feature-name>[.<index>]"

  The index is used only for `many-valued` features; it represents the position within the list.

  Specified by:
    `eURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eURIFragmentSegment` in class `BasicEObjectImpl`
  Parameters:
    `eStructuralFeature` - the feature relating the given object to this object, or `null`.
    `eObject` - the object to be identified.
  Returns:
    the fragment segment that resolves to the given object in this object's given feature.

### eObjectForURIFragmentSegment

    public EObject eObjectForURIFragmentSegment(java.lang.String uriFragmentSegment)

  Description copied from interface: `InternalEObject`
  Returns the object resolved by the fragment segment.

  The fragment segment encoding will typically be of the form returned by `eURIFragmentSegment`.

  Specified by:
    `eObjectForURIFragmentSegment` in interface `InternalEObject`
  Overrides:
    `eObjectForURIFragmentSegment` in class `BasicEObjectImpl`
  Parameters:
    `uriFragmentSegment` - a fragment segment.
  Returns:
    the fragment segment that resolves to the given object in this object's given feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.